---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetevntcallb002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2750, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x508D0, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52810, symBinAddr: 0x9120, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52C00, symBinAddr: 0x9510, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53BA0, symBinAddr: 0xA4B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53BB0, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50540, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50544, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50548, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x506A0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50758, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5075C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50760, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50764, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50768, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50770, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50780, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50788, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50790, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50798, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x507A0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x507A8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL15eventsCountList, symObjAddr: 0x507EC, symBinAddr: 0x71CC, symSize: 0x0 }
  - { offsetInCU: 0x94F7, offset: 0x94F7, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x507F8, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9549, offset: 0x9549, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x13F0, symSize: 0x80 }
  - { offsetInCU: 0x95DE, offset: 0x95DE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1340, symSize: 0xB0 }
  - { offsetInCU: 0x9639, offset: 0x9639, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1240, symSize: 0x100 }
  - { offsetInCU: 0x98CC, offset: 0x98CC, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1470, symSize: 0xC0 }
  - { offsetInCU: 0x991E, offset: 0x991E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1530, symSize: 0x220 }
  - { offsetInCU: 0x9B03, offset: 0x9B03, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1750, symSize: 0xA0 }
  - { offsetInCU: 0x9BB6, offset: 0x9BB6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x17F0, symSize: 0x110 }
  - { offsetInCU: 0x9CAC, offset: 0x9CAC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1900, symSize: 0x150 }
  - { offsetInCU: 0x9E09, offset: 0x9E09, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1A50, symSize: 0x30 }
  - { offsetInCU: 0x9ECA, offset: 0x9ECA, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1A80, symSize: 0x150 }
  - { offsetInCU: 0xA0C2, offset: 0xA0C2, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1BD0, symSize: 0x160 }
  - { offsetInCU: 0xA382, offset: 0xA382, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1D30, symSize: 0x4A0 }
  - { offsetInCU: 0xA5F5, offset: 0xA5F5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x21D0, symSize: 0x1B0 }
  - { offsetInCU: 0xA810, offset: 0xA810, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2380, symSize: 0xA0 }
  - { offsetInCU: 0xA8DF, offset: 0xA8DF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2420, symSize: 0x20 }
  - { offsetInCU: 0xA916, offset: 0xA916, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2440, symSize: 0x20 }
  - { offsetInCU: 0xA94D, offset: 0xA94D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2460, symSize: 0x20 }
  - { offsetInCU: 0xAABC, offset: 0xAABC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2480, symSize: 0x1A0 }
  - { offsetInCU: 0xADD8, offset: 0xADD8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2620, symSize: 0x130 }
  - { offsetInCU: 0xAF88, offset: 0xAF88, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x29C0, symSize: 0x1B0 }
  - { offsetInCU: 0xB277, offset: 0xB277, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2B70, symSize: 0x80 }
  - { offsetInCU: 0xB340, offset: 0xB340, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2BF0, symSize: 0x6A0 }
  - { offsetInCU: 0xBED5, offset: 0xBED5, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA410, symBinAddr: 0x4190, symSize: 0xB0 }
  - { offsetInCU: 0xBF4C, offset: 0xBF4C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3290, symSize: 0x70 }
  - { offsetInCU: 0xBFE8, offset: 0xBFE8, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3300, symSize: 0xA0 }
  - { offsetInCU: 0xC0F3, offset: 0xC0F3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x33A0, symSize: 0x40 }
  - { offsetInCU: 0xC1E9, offset: 0xC1E9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x33E0, symSize: 0x2B0 }
  - { offsetInCU: 0xC58F, offset: 0xC58F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3690, symSize: 0xC0 }
  - { offsetInCU: 0xC6D5, offset: 0xC6D5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3750, symSize: 0x10 }
  - { offsetInCU: 0xC797, offset: 0xC797, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3760, symSize: 0x220 }
  - { offsetInCU: 0xCA94, offset: 0xCA94, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3980, symSize: 0x10 }
  - { offsetInCU: 0xCAF1, offset: 0xCAF1, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3990, symSize: 0x2C0 }
  - { offsetInCU: 0xCED1, offset: 0xCED1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9ED0, symBinAddr: 0x3C50, symSize: 0x10 }
  - { offsetInCU: 0xCF2E, offset: 0xCF2E, size: 0x8, addend: 0x0, symName: _callbackThreadStart, symObjAddr: 0x9EE0, symBinAddr: 0x3C60, symSize: 0x30 }
  - { offsetInCU: 0xCF84, offset: 0xCF84, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0x9F10, symBinAddr: 0x3C90, symSize: 0x30 }
  - { offsetInCU: 0xCFDB, offset: 0xCFDB, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0x9F40, symBinAddr: 0x3CC0, symSize: 0x1B0 }
  - { offsetInCU: 0xD285, offset: 0xD285, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA0F0, symBinAddr: 0x3E70, symSize: 0x320 }
  - { offsetInCU: 0xD5E9, offset: 0xD5E9, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA4C0, symBinAddr: 0x4240, symSize: 0x36A }
...
